Subject: bug#48198: closed (Re: [bug#48198] [PATCH] gnu: vcsh: Update to 1.20190621.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 03 May 2021 20:45:01 +0000

Your bug report

#48198: [PATCH] gnu: vcsh: Update to 1.20190621.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
48198: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=48198
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#48198] [PATCH] gnu: vcsh: Update to 1.20190621.
From: Tobias Geerinckx-Rice <[email-masked]>
To: Michael Rohleder <[email-masked]>
Cc: [email-masked]
Date: Mon, 03 May 2021 22:44:26 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Michael,

Michael Rohleder 写道：
> No, I don't agree.
> I think it is new (at least, compared to the version we had/I 
> made
> before)

You're right--and what an ancient version it was!

I was looking at zsh completion, not bash.  I wonder why that's 
installed by default whilst bash is not.  Shrug.

I de-indented #:phases as it made your new lines exceed 80 
characters for no good reason.

Pushed as 2c09755a7a07a971d7c2ad6dbe991689837fd29c.

Thanks!

T G-R

Subject: [PATCH] gnu: vcsh: Update to 1.20190621.
From: Michael Rohleder <[email-masked]>
To: [email-masked]
Cc: Michael Rohleder <[email-masked]>
Date: Mon, 3 May 2021 17:54:17 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/version-control.scm (vcsh): Update to 1.20190621.
[arguments]: Add phase install-bash-completion.
---
 gnu/packages/version-control.scm | 15 +++++++++++----
 1 file changed, 11 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/version-control.scm b/gnu/packages/version-control.scm
index 8df7cc8d14..859083aa07 100644
--- a/gnu/packages/version-control.scm
+++ b/gnu/packages/version-control.scm
@@ -31,7 +31,7 @@
 ;;; Copyright © 2020 Jan (janneke) Nieuwenhuizen <[email-masked]>
 ;;; Copyright © 2020 Vinicius Monego <[email-masked]>
 ;;; Copyright © 2020 Tanguy Le Carrour <[email-masked]>
-;;; Copyright © 2020 Michael Rohleder <[email-masked]>
+;;; Copyright © 2020, 2021 Michael Rohleder <[email-masked]>
 ;;; Copyright © 2021 Greg Hogan <[email-masked]>
 ;;; Copyright © 2021 Maxim Cournoyer <[email-masked]>
 ;;; Copyright © 2021 Chris Marusich <[email-masked]>
@@ -1316,7 +1316,7 @@ manipulate them in various ways.")
 (define-public vcsh
   (package
     (name "vcsh")
-    (version "1.20151229")
+    (version "1.20190621")
     (source
      (origin
        (method git-fetch)
@@ -1325,7 +1325,7 @@ manipulate them in various ways.")
              (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
-        (base32 "1grpj45nbpv4j60vd2kg4rj53zrm0bc0h9l4pfd3c2mwbvywm6ab"))))
+        (base32 "1s9l47wm9r7sndcgc778mq60wkzkhvfv7rkrwci5kjvw8vsddvcc"))))
     (build-system gnu-build-system)
     (native-inputs
      `(("which" ,which)))
@@ -1338,7 +1338,14 @@ manipulate them in various ways.")
     (arguments
      '(#:phases (modify-phases %standard-phases
                   (delete 'configure)
-                  (delete 'build))
+                  (delete 'build)
+                  (add-after 'install 'install-bash-completion
+                    (lambda* (#:key outputs #:allow-other-keys)
+                      (let* ((out         (assoc-ref outputs "out"))
+                             (completions (string-append out "/etc/bash_completion.d")))
+                        (mkdir-p completions)
+                        (copy-file "_vcsh_bash" (string-append completions "/vcsh"))
+                        #t))))
        #:make-flags (list (string-append "PREFIX="
                                          (assoc-ref %outputs "out")))
        #:test-target "test"))
-- 
2.31.1